/* $Id: FirstIDAT.java 185 2011-05-27 03:51:24Z minao $ */
package smart_gs.logical;

import smart_gs.GSConstants;

//2011.02.09 shayashi chaneged
public class FirstIDAT extends IDAT{

	public FirstIDAT(Spread spread, String uri, String originalURI, String version) {
		super(spread, uri, originalURI, version);
		//2011/01/06 kukita
		//2011.02.16 shayashi
	}
	public FirstIDAT(String uri, String originalURI, String version) {
		super(uri, originalURI, version);
	}
	public FirstIDAT(Spread spread) {
		super(spread);
	}
	@Override
	public int getType() {
		return GSConstants.FIRSTIDAT;
	}
	@Override
	public String getExtension() {
		return "trsc";
	}
	@Override
	public String getTypeString() {
		return URICreator.FIRST_IDAT;
	}
}
